// cGameObject.h: interface for the cGameObject class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CGAMEOBJECT_H__9C6A89A1_39E8_11D3_8BB1_831B74BC59F3__INCLUDED_)
#define AFX_CGAMEOBJECT_H__9C6A89A1_39E8_11D3_8BB1_831B74BC59F3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

enum eActReturn{
	AR_NORMAL = 0,
	AR_ERASE
};


class cGameObject{
private:
protected:
	int x, y;
	int dx, dy;
	int SpriteSet;
	int SpriteNo;

public:
	cGameObject();
	virtual ~cGameObject();

	virtual int Act();

	void SetSpriteSet(int _SpriteSet){ SpriteSet = _SpriteSet; }
	int GetSpriteSet(){ return SpriteSet; }
	int GetSpriteNo(){ return SpriteNo; }
	void Setxy(int _x, int _y){ x = _x; y =  _y; }
	int GetX(){ return x; }
	int GetY(){ return y; }

};

#endif // !defined(AFX_CGAMEOBJECT_H__9C6A89A1_39E8_11D3_8BB1_831B74BC59F3__INCLUDED_)
